#include "messages.h"
#include <iostream>
using namespace std;

int main()
{
	CFSRSM msg;
	const unsigned char binData[] = {0x07,0xBB,0x54,0x55,0x65,0xC0};
	unsigned binDataLenInBits = 43;

	unsigned decodedBits = msg.decode(binData, binDataLenInBits);
	cout << "Decoded bits: " << decodedBits << endl;
	cout << "LAST_CFSRM_SEQ     = " << msg.LAST_CFSRM_SEQ << endl;
	cout << "ALIGN_TIMING_USED  = " << msg.ALIGN_TIMING_USED << endl;
	if (msg.MAX_NUM_VISITS_present) {
		cout << "MAX_NUM_VISITS     = " << msg.MAX_NUM_VISITS << endl;
	}
	else {
		cout << "MAX_NUM_VISITS     = missing" << endl;
	}
	cout << "TOTAL_OFF_TIME_FWD = " << msg.TOTAL_OFF_TIME_FWD << endl;
	cout << "MAX_OFF_TIME_FWD   = " << msg.MAX_OFF_TIME_FWD << endl;
	cout << "TOTAL_OFF_TIME_REV = " << msg.TOTAL_OFF_TIME_REV << endl;
	cout << "MAX_OFF_TIME_REV   = " << msg.MAX_OFF_TIME_REV << endl;
	cout << "PCG_OFF_TIMES      = " << msg.PCG_OFF_TIMES << endl;

	return 0;
}
